import react, { ReactNode } from 'react'

type SocialLinkProps = {
    icon: ReactNode,
    url: string,
    name: string
}

function SocialLink({ icon, url, name }: SocialLinkProps) {
    return (
        <a className="social_link" href={url} target="_blank">
            {icon}
            <span>{name}</span>
        </a>
    )
}

export default SocialLink